Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Chat
Class UserParams

    java.lang.Object
      |
      +--jChatBox.Chat.UserParams

public class UserParams
extends java.lang.Object

This class implements features for User.
Extra features could be added thanks to Extension.

Constructor Summary
`UserParams()`

Method Summary
`java.lang.String` | `getAgent()` Returns email.
`int` | `getChatroom()` Returns current chatroom.
`java.lang.String` | `getEmail()` Returns email.
`java.util.Vector` | `getExtension()` Returns user's extensions.
`int` | `getRefresh()` Returns refresh field.
`void` | `setAgent(java.lang.String agent)` Sets Agent.
`void` | `setChatroom(int id)` Sets current chatroom.
`void` | `setEmail(java.lang.String email)` Sets email.
`void` | `setExtension(java.util.Vector ext)` Sets users's extensions.
`void` | `setRefresh(int value)` Sets refresh field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserParams

    public UserParams()

Method Detail

### getAgent

    public java.lang.String getAgent()

  Returns email.

### setAgent

    public void setAgent(java.lang.String agent)

  Sets Agent.

### getEmail

    public java.lang.String getEmail()

  Returns email.

### setEmail

    public void setEmail(java.lang.String email)

  Sets email.

### getExtension

    public java.util.Vector getExtension()

  Returns user's extensions.

### setExtension

    public void setExtension(java.util.Vector ext)

  Sets users's extensions.

### getChatroom

    public int getChatroom()

  Returns current chatroom.

### setChatroom

    public void setChatroom(int id)

  Sets current chatroom.

### getRefresh

    public int getRefresh()

  Returns refresh field.

### setRefresh

    public void setRefresh(int value)

  Sets refresh field.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD